import { TooltipProps } from '@mui/material/Tooltip';
import React from 'react';
import { ButtonProps } from '@mui/material/Button';
type CopyToClipboardProps = ButtonProps & {
    TooltipProps?: Omit<Partial<TooltipProps>, 'open' | 'children'> & {
        copiedTitle?: string;
        duration?: number;
    };
    copyContent: string;
};
export declare function copyTextToClipboard(text: string, onCopied?: () => void): void;
export declare const CopyToClipboardButton: React.FC<CopyToClipboardProps>;
export {};
