/// <reference types="react" />
import { CodeSnippetFunction, FieldValue, InputConfig, PreviewComponent } from '../types/Playground.types';
type PlaygroundValuesContextProps = {
    data: {
        [key: string]: FieldValue;
    };
    updateData: (id: string, value: FieldValue) => void;
    inputConfig: InputConfig;
    codeSnippet: CodeSnippetFunction;
    previewComponent: PreviewComponent;
};
export declare const PlaygroundValuesContext: import("react").Context<PlaygroundValuesContextProps>;
export declare const usePlaygroundValues: () => PlaygroundValuesContextProps;
export {};
